=== modified file 'bzrlib/inventory_delta.py'
--- bzrlib/inventory_delta.py	2009-04-02 04:21:27 +0000
+++ bzrlib/inventory_delta.py	2009-04-02 04:29:37 +0000
@@ -16,19 +16,18 @@
 
 """Inventory delta serialisation.
 
-See doc/developers/inventory.txt for the design and rationalisation.
+See doc/developers/inventory.txt for the description of the format.
 
 In this module the interesting classes are:
- - InventoryDelta - object to read/write journalled inventories.
+ - InventoryDeltaSerializer - object to read/write inventory deltas.
 """
 
-__all__ = ['InventoryDelta']
+__all__ = ['InventoryDeltaSerializer']
 
 from bzrlib import errors, lazy_regex
-from bzrlib.osutils import basename, sha_string, sha_strings
+from bzrlib.osutils import basename
 from bzrlib import inventory
 from bzrlib.revision import NULL_REVISION
-from bzrlib.tsort import topo_sort
 
 
 def _directory_content(entry):

=== modified file 'bzrlib/tests/test_inventory_delta.py'
--- bzrlib/tests/test_inventory_delta.py	2009-04-02 04:21:27 +0000
+++ bzrlib/tests/test_inventory_delta.py	2009-04-02 04:29:37 +0000
@@ -26,7 +26,6 @@
     inventory,
     inventory_delta,
     )
-from bzrlib.osutils import sha_string
 from bzrlib.inventory import Inventory
 from bzrlib.revision import NULL_REVISION
 from bzrlib.tests import TestCase

